#include <stdio.h>
#include <stdlib.h>
#include <string.h>
int main()
{
    char t[200000],m[10];
    scanf("%s",t);
    scanf("%s",m);
    int i,c=0,y=0;
    int n=strlen(m);
    for(i=0;i<strlen(t);i++){
        while(t[i]=='a')
        {
            c++;
            if(c>=n)
            {
                t[i]='*';
                c=0;
                y++;
            }
            i++;
        }
        c=0;
    }
    printf("%d\n%s",y,t);
    return 0;
}